A valid request URL is required to generate request examples{
"network_config": {
"base_url": "<string>",
"extra_headers": {},
"default_request_timeout_in_seconds": 123,
"max_retries": 123,
"retry_backoff_initial": 123,
"retry_backoff_max": 123,
"insecure_skip_verify": true,
"ca_cert_pem": "<string>",
"allow_private_network": false
},
"concurrency_and_buffer_size": {
"concurrency": 123,
"buffer_size": 123
},
"proxy_config": {
"url": "<string>",
"username": "<string>",
"password": "<string>",
"ca_cert_pem": "<string>"
},
"send_back_raw_request": true,
"send_back_raw_response": true,
"store_raw_request_response": true,
"custom_provider_config": {
"is_key_less": true,
"allowed_requests": {
"list_models": true,
"text_completion": true,
"text_completion_stream": true,
"chat_completion": true,
"chat_completion_stream": true,
"responses": true,
"responses_stream": true,
"count_tokens": true,
"embedding": true,
"speech": true,
"speech_stream": true,
"transcription": true,
"transcription_stream": true,
"image_generation": true,
"image_generation_stream": true,
"batch_create": true,
"batch_list": true,
"batch_retrieve": true,
"batch_cancel": true,
"batch_results": true,
"file_upload": true,
"file_list": true,
"file_retrieve": true,
"file_delete": true,
"file_content": true
},
"request_path_overrides": {}
},
"status": "<string>",
"description": "<string>",
"config_hash": "<string>"
}Update a provider
Updates a provider’s configuration. Expects ALL fields to be provided, including both edited and non-edited fields. Partial updates are not supported.
A valid request URL is required to generate request examples{
"network_config": {
"base_url": "<string>",
"extra_headers": {},
"default_request_timeout_in_seconds": 123,
"max_retries": 123,
"retry_backoff_initial": 123,
"retry_backoff_max": 123,
"insecure_skip_verify": true,
"ca_cert_pem": "<string>",
"allow_private_network": false
},
"concurrency_and_buffer_size": {
"concurrency": 123,
"buffer_size": 123
},
"proxy_config": {
"url": "<string>",
"username": "<string>",
"password": "<string>",
"ca_cert_pem": "<string>"
},
"send_back_raw_request": true,
"send_back_raw_response": true,
"store_raw_request_response": true,
"custom_provider_config": {
"is_key_less": true,
"allowed_requests": {
"list_models": true,
"text_completion": true,
"text_completion_stream": true,
"chat_completion": true,
"chat_completion_stream": true,
"responses": true,
"responses_stream": true,
"count_tokens": true,
"embedding": true,
"speech": true,
"speech_stream": true,
"transcription": true,
"transcription_stream": true,
"image_generation": true,
"image_generation_stream": true,
"batch_create": true,
"batch_list": true,
"batch_retrieve": true,
"batch_cancel": true,
"batch_results": true,
"file_upload": true,
"file_list": true,
"file_retrieve": true,
"file_delete": true,
"file_content": true
},
"request_path_overrides": {}
},
"status": "<string>",
"description": "<string>",
"config_hash": "<string>"
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Provider name
Body
Update provider request. Keys are managed separately via /api/providers/{provider}/keys.
Network configuration for provider connections
Show child attributes
Show child attributes
Concurrency settings
Show child attributes
Show child attributes
Proxy configuration
Show child attributes
Show child attributes
Custom provider configuration
Show child attributes
Show child attributes
Response
Provider updated successfully
Provider configuration response
AI model provider identifier
openai, azure, anthropic, bedrock, cohere, vertex, vllm, mistral, ollama, groq, sgl, parasail, perplexity, replicate, cerebras, gemini, openrouter, elevenlabs, huggingface, nebius, xai, runway, fireworks Network configuration for provider connections
Show child attributes
Show child attributes
Concurrency settings
Show child attributes
Show child attributes
Proxy configuration
Show child attributes
Show child attributes
Custom provider configuration
Show child attributes
Show child attributes
Status of the provider
active, error, deleted Operational status (e.g., list_models_failed)
Error/status description
Hash of config.json version, used for change detection
Was this page helpful?

